/* GNOME DB library
 * Copyright (C), 1999-2001 The Free Software Foundation
 *
 * AUTHORS:
 *	Rodrigo Moya <rodrigo@gnome-db.org>
 *
 * This Library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This Library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this Library; see the file COPYING.LIB.  If not,
 * write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#if !defined(__gnome_db_table_editor_h__)
#  define __gnome_db_table_editor_h__

#include <gtk/gtkvbox.h>
#include <libgnome/gnome-defs.h>
#include <gda-connection.h>

BEGIN_GNOME_DECLS

#define GNOME_DB_TYPE_TABLE_EDITOR            (gnome_db_table_editor_get_type())
#define GNOME_DB_TABLE_EDITOR(obj)            GTK_CHECK_CAST(obj, GNOME_DB_TYPE_TABLE_EDITOR, GnomeDbTableEditor)
#define GNOME_DB_TABLE_EDITOR_CLASS(klass)    GTK_CHECK_CLASS_CAST(klass, GNOME_DB_TYPE_TABLE_EDITOR, GnomeDbTableEditorClass)
#define GNOME_DB_IS_TABLE_EDITOR(obj)         GTK_CHECK_TYPE(obj, GNOME_DB_TYPE_TABLE_EDITOR)
#define GNOME_DB_IS_TABLE_EDITOR_CLASS(klass) (GTK_CHECK_CLASS_TYPE((klass), GNOME_DB_TYPE_TABLE_EDITOR))

typedef struct _GnomeDbTableEditor        GnomeDbTableEditor;
typedef struct _GnomeDbTableEditorClass   GnomeDbTableEditorClass;
typedef struct _GnomeDbTableEditorPrivate GnomeDbTableEditorPrivate;

struct _GnomeDbTableEditor {
	GtkVBox vbox;
	GnomeDbTableEditorPrivate *priv;
};

struct _GnomeDbTableEditorClass {
	GtkVBoxClass parent_class;
};

GtkType    gnome_db_table_editor_get_type            (void);
GtkWidget* gnome_db_table_editor_new                 (void);
GtkWidget* gnome_db_table_editor_new_from_connection (GdaConnection *cnc,
						      const gchar *table);

void       gnome_db_table_editor_from_connection     (GnomeDbTableEditor *editor,
						      GdaConnection *cnc,
						      const gchar *table);

END_GNOME_DECLS

#endif
